﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCMDI_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCMDI_WARNRESULT_INVQTY') 
 CREATE TABLE T_SCMDI_WARNRESULT_INVQTY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FWARNING_TITLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FWARNING_TITLE_TAG NCLOB,
FWARNING_CONTENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FWARNING_CONTENT_TAG NCLOB,
FWARNING_CONFIGID BIGINT DEFAULT 0 NOT NULL,
FWARNING_OBJECTID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FWARNING_RECORDID BIGINT DEFAULT 0 NOT NULL,
FWARNINGLEVEL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FAVBBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCMDI_WARNING_RECORD') 
 CREATE TABLE T_SCMDI_WARNING_RECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FWARNING_CONFIGID BIGINT DEFAULT 0 NOT NULL,
FEXEC_TYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FJUDGE_DATA_COUNT BIGINT DEFAULT 0 NOT NULL,
FWARNING_DATA_COUNT BIGINT DEFAULT 0 NOT NULL,
FWARNING_START_TIME DATETIME,
FWARNING_END_TIME DATETIME,
FWARNING_DURATION_SECOND BIGINT DEFAULT 0 NOT NULL,
FFILTER_CONDITION_TEXT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTER_CONDITION_TEXT_TAG NCLOB,
FFILTER_CONDITION_READ NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTER_CONDITION_READ_TAG NCLOB,
FFILTER_CONDITION_FORMULA NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTER_CONDITION_FORMULA_TAG NCLOB,
FWARNING_OBJECTID NVARCHAR(36) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCMDI_NOTIFY_USER') 
 CREATE TABLE T_SCMDI_NOTIFY_USER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCMDI_NOTIFIED_USERS') 
 CREATE TABLE T_SCMDI_NOTIFIED_USERS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCMDI_METRICS_MAPPING_L') 
 CREATE TABLE T_SCMDI_METRICS_MAPPING_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCMDI_METRICS_MAPPING') 
 CREATE TABLE T_SCMDI_METRICS_MAPPING (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FTEXTFIELD NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBIZ_ENTITY NVARCHAR(36) DEFAULT ' ' NOT NULL,
FSYS_PRESET CHAR(1) DEFAULT ' ' NOT NULL,
FMETRIC_ENTITY_IDENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMETRIC_ENTITY_NAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCMDI_METRIC_MAPPING_E') 
 CREATE TABLE T_SCMDI_METRIC_MAPPING_E (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBIZ_ENTITY_FIELD_NAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZ_ENTITY_FIELD_KEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMETRIC_FIELD_NAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMETRIC_FIELD_KEY NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCMDI_METRIC_INVQTY') 
 CREATE TABLE T_SCMDI_METRIC_INVQTY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMATERIELFIELD BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FAVBBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCKBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCMDI_EARLYWARNING_L') 
 CREATE TABLE T_SCMDI_EARLYWARNING_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCMDI_EARLYWARNING') 
 CREATE TABLE T_SCMDI_EARLYWARNING (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FWARNINGLEVEL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMONITOR_CATEGORY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMONITOR_SLOT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMONITOR_DAY NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FMONITOR_DATE_RANGE_START DATETIME,
FMONITOR_DATE_RANGE_END DATETIME,
FMONITOR_TIME INT DEFAULT 0 NOT NULL,
FMONITOR_JOB NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMONITOR_PLAN NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMONITOR_DESCRIPTION NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FMONITOR_CRON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMONITOR_NOTIFY_TYPES NVARCHAR(500) DEFAULT ' ' NOT NULL,
FMONITOR_NOTIFY_TITLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMONITOR_NOTIFY_CONTENT NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FWARNING_OBJECT NVARCHAR(36) DEFAULT ' ' NOT NULL,
FFILTER_CONDITION_TEXT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTER_CONDITION_TEXT_TAG NCLOB,
F_WARNING_RESULT_PERSIST NVARCHAR(36) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FFILTER_CONDITION_READ NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTER_CONDITION_READ_TAG NCLOB,
FFILTER_CONDITION_FORMULA NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTER_CONDITION_FORMULA_TAG NCLOB,
FSYS_PRESET CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCMDI_EARLY_WARN_GROUP_L') 
 CREATE TABLE T_SCMDI_EARLY_WARN_GROUP_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCMDI_EARLY_WARN_GROUP') 
 CREATE TABLE T_SCMDI_EARLY_WARN_GROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLONGNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT ' ' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SCMDI_table.sql **/
