﻿/**Begin D:\PDM_UPGRADE\pdm1\SCMDI_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCMDI_EARLYWARNING' AND KSQL_COL_NAME IN ('FUPGRADE_ENABLED')) 
 ALTER TABLE T_SCMDI_EARLYWARNING ADD (FUPGRADE_ENABLED CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCMDI_EARLYWARNING' AND KSQL_COL_NAME IN ('FUPGRADE_POLICY')) 
 ALTER TABLE T_SCMDI_EARLYWARNING ADD (FUPGRADE_POLICY NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCMDI_EARLYWARNING' AND KSQL_COL_NAME IN ('FSPECIFIED_WARNING_LEVEL')) 
 ALTER TABLE T_SCMDI_EARLYWARNING ADD (FSPECIFIED_WARNING_LEVEL NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCMDI_EARLYWARNING' AND KSQL_COL_NAME IN ('FUPGRADE_NOTIFY_TYPE')) 
 ALTER TABLE T_SCMDI_EARLYWARNING ADD (FUPGRADE_NOTIFY_TYPE NVARCHAR(500) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCMDI_EARLYWARNING' AND KSQL_COL_NAME IN ('FENABLE_WARNING_RIDDING')) 
 ALTER TABLE T_SCMDI_EARLYWARNING ADD (FENABLE_WARNING_RIDDING CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCMDI_EARLYWARNING' AND KSQL_COL_NAME IN ('FWARNING_RIDDING')) 
 ALTER TABLE T_SCMDI_EARLYWARNING ADD (FWARNING_RIDDING BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCMDI_WARNING_RIDDING' AND KSQL_COL_NAME IN ('FWARNING_OBJECT')) 
 ALTER TABLE T_SCMDI_WARNING_RIDDING ADD (FWARNING_OBJECT NVARCHAR(36) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCMDI_WARNRESULT_INVQTY' AND KSQL_COL_NAME IN ('FUPGRADE_STATUS')) 
 ALTER TABLE T_SCMDI_WARNRESULT_INVQTY ADD (FUPGRADE_STATUS NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCMDI_WARNRESULT_INVQTY' AND KSQL_COL_NAME IN ('FEXEC_TYPE')) 
 ALTER TABLE T_SCMDI_WARNRESULT_INVQTY ADD (FEXEC_TYPE NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SCMDI_WARNRESULT_INVQTY' AND KSQL_COL_NAME IN ('FORIENT_RESULT_IDENTITY')) 
 ALTER TABLE T_SCMDI_WARNRESULT_INVQTY ADD (FORIENT_RESULT_IDENTITY BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCMDI_WARNING_RULEENTRY') 
 CREATE TABLE T_SCMDI_WARNING_RULEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FWARNINGLEVEL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFILTER_CONDITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTER_CONDITION_JSON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTER_CONDITION_JSON_TAG NCLOB,
FFILTER_CONDITION_READ NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTER_CONDITION_READ_TAG NCLOB DEFAULT ' ',
FFILTER_CONDITION_FORMULA NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTER_CONDITION_FORMULA_TAG NCLOB DEFAULT ' ',
FMONITOR_NOTIFY_TYPES NVARCHAR(500) DEFAULT ' ' NOT NULL,
FMONITOR_NOTIFY_TEXT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMONITOR_NOTIFY_CONTENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMONITOR_NOTIFY_CONTENT_TAG NCLOB,
FMONITOR_NOTIFY_TITLE NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SCMDI_WARNING_UPGRADE_E') 
 CREATE TABLE T_SCMDI_WARNING_UPGRADE_E (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBRACKET_LEFT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELD_SELECT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMPARATOR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVALUE_SELECT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBRACKET_RIGHT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPTION_JSON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOPTION_JSON_TAG NCLOB,
FLOGICAL_OPERATOR NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\pdm1\SCMDI_table.sql **/
